Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportElement

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

All Implemented Interfaces:
  `Consumer<Consumer<LMImporter.ImportElement>>`

Direct Known Subclasses:
  `LMImporter.ImportElement.ImportFolder`, `LMImporter.ImportElement.ImportLeaf`

Enclosing class:
  LMImporter

public abstract static class LMImporter.ImportElement extends Object implements Consumer<Consumer<LMImporter.ImportElement>>

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LMImporter.ImportElement.ImportBinary`
`static final class`
`LMImporter.ImportElement.ImportFolder`
`static class`
`LMImporter.ImportElement.ImportLeaf<CONTENTS>`
`static final class`
`LMImporter.ImportElement.ImportResource`
`static final class`
`LMImporter.ImportElement.ImportText`
`static final class`
`LMImporter.ImportElement.StringContentsModifier`
`static enum`
`LMImporter.ImportElement.Type`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Consumer<LMImporter.ImportElement> visitor)`
`LMImporter.ImportModule`
`getModule()`
`String`
`getName()`
`LMImporter.ImportElement.ImportFolder`
`getParent()`
`String`
`getPath()`
`String[]`
`getSegments()`
`abstract LMImporter.ImportElement.Type`
`getType()`
`URI`
`getURI()`
`abstract boolean`
`isFolder()`
`boolean`
`isLeaf()`
`boolean`
`isRoot()`
`static String`
`requireValidName(String name)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Method Details

### getModule

public LMImporter.ImportModule getModule()

### getParent

public LMImporter.ImportElement.ImportFolder getParent()

### getName

public String getName()

### getType

public abstract LMImporter.ImportElement.Type getType()

### getSegments

public String[] getSegments()

### getURI

public URI getURI()

### getPath

public String getPath()

### isRoot

public boolean isRoot()

### isFolder

public abstract boolean isFolder()

### isLeaf

public boolean isLeaf()

### accept

public void accept(Consumer<LMImporter.ImportElement> visitor)

Specified by:
  `accept` in interface `Consumer<Consumer<LMImporter.ImportElement>>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### requireValidName

public static String requireValidName(String name)